:root{
  --main-radius:5px;
  --main-padding:5px;
  --main-gap:10px;
  --main-radius2:15px;
}
html, body {height: 100%; }
body {
  margin: 0; 
  width: 100%;
  max-width: 90%;
  padding: 50px;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
}  
html{
  scroll-behavior: smooth;
}

/* -------------------------------------------------- LAYOUT ---------------------------------------- */
.sticky {
  /* position: -webkit-sticky; */
  position: sticky;
  top: 0;
  background-color: rgb(255, 255, 255);
  padding: 5px;
  font-size: 20px;
  min-width: 750px;
  }
  .col12-2-8-2grid{
    margin: 0px;
    /* border: solid 2px  rgb(183, 183, 183);
    border-radius: 5px; */
    padding: 5px;
    width: 100%;
    min-width: 750px;
    /* height: 25px; */
    /*background-color: rgb(255, 255, 255);*/
    /*text-align: center;*/
    /*align-content: stretch;*/
    display: grid ;
    align-content: auto;
    grid-template-columns: 2fr 8fr 2fr;
  }
.box100perc{
  margin-left: auto;
  margin-right: auto;
  /* border-left: solid 2px  rgb(183, 183, 183);
  border-right: solid 2px  rgb(183, 183, 183);
  border-radius: 5px; */
  /*padding: 5px 5px ;*/
  /* width: 325px; */
  height: 5px;
}
/*----------------------------------COMMON VALUES----------------------------------------------*/

.margin0-10{
  margin: 0px 10px 0px 10px;
}
.margin0-1-0-1{
  margin: 0px 1px 0px 1px;
}
.border5{
  border:#004d40 solid 3px;
  border-radius: 5px;
}
.border15{
  border:#ffffff solid 3px;
  border-radius: 15px;
}
.border1straight{
  border: #969696 ridge 1px ;
  /*border-radius: 15px;*/
}
.border1{
  border: #969696 ridge 1px ;
  border-radius: 15px;
}
.grid-container3col{
  display:grid;
  width: 100%;
  min-width: 750px;
  grid-template-columns: 1fr 1fr 1fr ;
  grid-template-areas: "boxA boxB boxC";
  grid-gap:1px;
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  /* text-transform: uppercase; */
  color:#004d40;
  text-align:center;
  justify-content:center;
}
.grid-container2x2col{
  display:grid;
  width: 100%;
  min-width: 750px;
  /* grid-template-rows: 1000px; */
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  grid-template-areas: 
  "boxA boxB" 
  "boxC boxD"; 
  grid-gap:1px;
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  /* text-transform: uppercase; */
  /* font-size:12px; */
  color:#004d40;
  text-align:center;
  justify-content:center;
}
.container-grid{
  display:grid;
  width: 100%;
  min-width: 750px;
  /* height:150px; */
  grid-template-columns: 1fr 1fr 1fr 1fr;
  /* grid-template-rows: 0.2fr; */
  grid-template-areas: "box1 box1 box1 box1";
  /* grid-gap: 0.2rem; */
  grid-gap:1px;
  /*padding:5px;*/
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  text-transform: uppercase;
  font-size:12px;
  color:#004d40;
  text-align:center;
}
#boxA{
  /*padding: 5px;*/
  /* background-color: azure; */
  grid-area: boxA;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: grid;
  width: 100%;
  border: #004d40;
}
#boxB{
  /*padding: 5px;*/
  /* background-color: azure; */
  grid-area: boxB;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: grid;
  width: 100%;
  border: #004d40;
}
#boxC{
  /*padding: 5px;*/
  /* background-color: azure; */
  grid-area: boxC;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: grid;
  width: 100%;
  border: #004d40;
}
#boxD{
  /*padding: 5px;*/
  /* background-color: azure; */
  grid-area: boxC;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: grid;
  width: 100%;
  border: #004d40;
}
.boxrounded{
  /*margin: 10px;*/
  border-left: solid 2px  rgb(183, 183, 183);
  border-right: solid 2px  rgb(183, 183, 183);
  /*padding: 5px 5px ;*/
  width: 100%;
  height: 100px;
  border-radius: 40px;
  /*background: rgb(255, 234, 234);*/
}
.centerimg {
  display: block;
  margin-top: auto;
  margin-bottom: auto;
  margin-left: auto;
  margin-right: auto;
}


.box100grid{
  /* margin: 0px; */
  width: 100%;
  /* height: 40px; */
}
.box100flex{
  display: flex;
  width: 100%;
}

.w100perc{
  width: 100%
}
.box99perc{
  width: 99%;
}
.w5{
  width:5%
}
.w10{
  width:10%
}
.w20{
  width:20%
}
.w25{
  width:25%
}
.w80{
  width:80%
}
.box60perc{
  width: 60%
}
.box50perc{
  width: 50%
}
.box49perc{
  width: 49%
}
.box40perc{
  width: 40%
}
.box35perc{
  width: 35%
}
.box33perc{
  width: 33%
}
.box30perc{
  width: 30%
}
.box25perc{
  width: 25%
}
.box20perc{
  width: 20%
}
.box15perc{
  width: 15%
}
.box10perc{
  width: 10%
}
.box30to10{
  width: 30%
}
.box8perc{
  width: 8%
}
.box7perc{
  width: 7%
}
.box5perc{
  width: 5%
}

.w50{
  width:50px;
}
.w5px{
  width: 5px;
}
.w10px{
  width: 10px;
}
.w20px{
  width: 20px;
}
.w40px{
  width: 40px;
}
.w50px{
  width: 50px;
}
.w100px{
  width: 100px;
}
.w150px{
  width: 150px;
}
.w200px{
  width: 200px;
}
.w250px{
  width: 250px;
}
.w300px{
  width: 300px;
}
.w500px{
  width: 500px;
}
.w1000px{
  width: 1000px;
}
.w1200px{
  width: 1200px;
}
.w1300px{
  width: 1300px;
}
.h0{
  height:0px;
}
.h1{
  height:1px;
}
.h2{
  height:2px;
}
.h5{
  height:5px;
}
.h10{
  height:10px;
}
.h15{
  height:15px;
}
.h20{
  height:20px;
}
.h30{
  height:30px;
}
.h40{
  height:40px;
}
.h50{
  height:50px;
}
.h60{
  height:60px;
}
.h150{
  height:150px;
}
.h200{
  height:200px;
}
.h250{
  height:250px;
}
.h400{
  height:400px;
}
.fs14{
  font-size: 14px;
}
.fs14a{
  font-size: 14px;
}
.fs14b{
  font-size: 14px;
}
.fs14c{
  font-size: 14px;
}
.fs20{
  font-size: 20px;
}
.fs20b{
  font-size: 20px;
}
.fs20c{
  font-size: 20px;
}

.fs30{
  font-size: 30px;
}
.fs50{
  font-size: 50px;
}
.fs100{
  font-size: 100px;
}
.fcwhite{
  color: white;
}
.fcgray{
  color:gray;
}
.noline{
  text-decoration: none;
}





.graph500{
  width: 510px; 
  height: 510px; 
  margin: 0 auto;  
  transition: 0.5s; 
}
.tube50perc{
  padding: 10px;
  outline: none;
  border: none;
  background-color: rgb(233, 100, 100);
  color: rgb(38, 31, 31);
  border-radius: 10px;
  width: 50%;
  transition: 0.5s;
  /* margin: 15px; */
}
.tube{
  /* padding: 10px; */
  outline: none;
  border: none;
  background-color: rgb(252, 164, 164);
  color: rgb(38, 31, 31);
  border-radius: 10px;
  transition: 0.5s;
  /* margin: 15px; */
}


.rad10{
  border-radius: 10px;
}

.tube100perc{
  padding: 10px;
  outline: none;
  border: none;
  background-color: rgb(233, 100, 100);
  color: rgb(38, 31, 31);
  border-radius: 10px;
  width: 100%;
  transition: 0.5s;
}


.flexbox{
  display: flex;
  justify-content: space-between;
}
.backgreen{
  background-color: rgb(141, 247, 141);
}
.backblack{
  background-color: rgb(0, 0, 0);
}
.backgreenlight{
  background-color: rgb(200, 247, 200);
}
.backwhite{
  background-color: rgb(255, 255, 255);
}
.backpetro{
  background-color: rgb(70,130,180);
}
.backpetro2{
  background-color: rgb(30,144,255);
}
.backpetro3{
  background-color: rgb(5, 0, 137);
}
.backsoglia{
  background-color: rgb(250, 128, 128);
}
.backlightred{
  background-color: rgb(250, 194, 179);
}
.backyellow{
  background-color: rgb(255, 255, 85);
}
.backazure{
  /*padding: 5px;*/
  background-color: azure;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  border: #004d40;
}
.flex1{
  display: flex;
} 
.grid{
  display: grid;
}
.textcenter{
  text-align: center;
}
.textleft{
  text-align: left;
}
.textright{
  text-align: right;
}
.jcright{
  justify-content: right;
}  
.jcleft{
  justify-content: left;
} 
.jccenter{
  justify-content: center;
}
.gap1{
  gap: 10px;
}

/*-------------------------------------------INDEX-----------------------------------------*/


.col12-12grid{
  margin: 0px;
  /* border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px; */
  padding: 5px;
  width: 100%;
  min-width: 750px;
  height: 40px;
  /*background-color: rgb(255, 255, 255);*/
  /*text-align: center;*/
  /*align-content: stretch;*/
  display: grid ;
  align-content: auto;
  grid-template-columns: 1fr;
}
.box100-500{
  width: 100%;
  height: 500px;
  display: flexbox;
  min-width: 750px;
}
.tube60perc{
  padding: 15px 0px 0px 0px;
  outline: none;
  border: none;
  background-color: rgb(233, 100, 100);
  color: rgb(38, 31, 31);
  font-size: 20px;
  border-radius: 30px;
  width: 60%;
  transition: 0.5s;
  margin-left: auto;
  margin-right: auto;
}

/*--------------------------------------------LOGIN-E REG---------------------------------*/

.container{
  align-content: stretch;
  text-align: center;
  min-width: 750px;
  /* gap: 1rem; */
}
input.tube-control{
  padding: 20px;
  outline: none;
  border: none;
  background-color: rgb(233,233,233);
  color: rgb(153,153,153);
  font-size: 17px;
  border-radius: 10px;
  width: 40%;
  transition: 0.5s;
  margin: 15px;
}
input.tube-controlreg{
  padding: 20px;
  outline: none;
  border: none;
  background-color: rgb(233,233,233);
  color: rgb(153,153,153);
  font-size: 17px;
  border-radius: 10px;
  width: 40%;
  transition: 0.5s;
  margin: 15px;
}

.tube-button{
  padding: 20px;
  outline: none;
  border: none;
  background-color: rgb(233, 100, 100);
  color: rgb(38, 31, 31);
  font-size: 17px;
  border-radius: 10px;
  width: 40%;
  transition: 0.5s;
  margin: 15px;
}
/* .image-button, input[type="submit"] {
  background:url(/images/home.png) no-repeat;
} */


/* ------------------------------------------------------------- SOGLIE -----------------------------------------------------*/

.bottom-grid2{
  display: flex;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  justify-content: space-between;
  min-width: 750px;
  /*margin: 0em 20em;*/
}
.label{
  padding: 5px;
  outline: none;
  border: none;
  background-color: rgb(233,233,233);
  color: rgb(100, 100, 100);
  font-size: 20px;
  border-radius: 10px;
  width: 20%;
  transition: 0.5s;
  margin: 30px;
}

input.tube-controlred{
  padding: 20px;
  outline: none;
  border: none;
  background-color: rgb(255, 99, 71, 0.5);
  color: rgb(153,153,153);
  font-size: 17px;
  border-radius: 10px;
  width: 20%;
  transition: 0.5s;
  margin: 15px;
}

input.tube-controlgreen{
  padding: 20px;
  outline: none;
  border: none;
  background-color: rgba(103, 234, 108, 0.5);
  color: rgb(153,153,153);
  font-size: 17px;
  border-radius: 10px;
  width: 20%;
  transition: 0.5s;
  margin: 15px;
}


/* --------------------------------------------------------QuickReport ---------------------------------------------------------*/
.grid-container2col{
  display:grid;
  width: 100%;
  min-width: 750px;
  /* grid-template-rows: 1000px; */
  grid-template-columns: 49% 49% ;
  grid-template-areas: "boxA boxB";
  grid-gap:1px;
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  text-transform: uppercase;
  /* font-size:12px; */
  color:#004d40;
  text-align:center;
  justify-content:center;
}




/*BOXES block o inline tramite display: */

.box100-50solid{
  margin: 0px;
  border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px;
  padding: 5px;
  width: 100%;
  min-width: 750px;
  max-width: 1366px;
  height: 40px;
  /*text-align: center;*/
  background: rgb(255,255,255);
  background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 13%, rgba(175,173,213,1) 97%, rgba(201,199,223,1) 100%); 
  /*display: flex ;*/
}
.box100-50flex{
  margin: 0px;
  border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px;
  padding: 5px;
  /*width: 100%;*/
  /* min-width: 750px; */
  height: 20px;
  /* background-color: rgb(254, 250, 250); */
  text-align: center;
  /*align-content: stretch;*/
  display: grid ;
  grid-template-columns: 2fr 1fr;
}
.box50-50{
  margin: 0px;
  /* border-left: solid 2px  rgb(183, 183, 183);
  border-right: solid 2px  rgb(183, 183, 183);
  border-radius: 5px; */
  /*padding: 5px 5px ;*/
  width: 99%;
  height: 40px;
  /*background: rgb(255, 234, 234);*/
}
.rowgrid{
  display: grid;
}



/*-------------------------------------------------- ACCOUNT -----------------------------------------------------*/

.grid-container1x4model1{
  display:grid;
  width: 100%;
  min-width: 750px;
  /* height:150px; */
  grid-template-columns: 1fr 1fr 1fr 1fr;
  /* grid-template-rows: 0.2fr; */
  grid-template-areas: "box2 box3 box4 box5";
  /* grid-gap: 0.2rem; */
  grid-gap:1px;
  /*padding:5px;*/
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  text-transform: uppercase;
  font-size:12px;
  color:#004d40;
  text-align:center;
}

#box2model1{
  /*padding: 5px;*/
  background-color: azure;
  grid-area: box2;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: flex;
  width: 100%;
  border: #004d40;
}
#box3model1{
  /*padding: 5px;*/
  background-color: azure;
  grid-area: box3;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: flex;
  width: 100%;
  border: #004d40;
}
#box4model1{
  /*padding: 5px;*/
  background-color: azure;
  grid-area: box4;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: flex;
  width: 100%;
  border: #004d40;
}
#box5model1{
  /*padding: 5px;*/
  background-color: azure;
  grid-area: box5;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: flex;
  width: 100%;
  border: #004d40;
}





.grid-container1x4account{
  display:grid;
  width: 100%;
  min-width: 750px;
  /* height:150px; */
  grid-template-columns: 1fr 1fr 1fr 1fr;
  /* grid-template-rows: 0.2fr; */
  grid-template-areas: "box1 box1 box1 box1";
  /* grid-gap: 0.2rem; */
  grid-gap:1px;
  /*padding:5px;*/
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  text-transform: uppercase;
  font-size:12px;
  color:#004d40;
  text-align:center;
}
#box1{
  /*padding: 5px;*/
  /* background-color: azure; */
  /* grid-area: box1; */
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display: flex;
  width: 100%;
  border: #004d40;
}
#box3{
  /* outline: none;
  border: none; */
  background-color: rgb(225, 235, 230);
  color: rgb(38, 31, 31);
  font-size: 15px;
  border-radius: 5px;
  width:25%;
  height:100%;
  transition: 0.5s;
  margin: 0px 10px 0px 10px;
}
.box100pc-100px{
  width: 100%;
  height: 160px;
  /*display: flexbox;*/
  min-width: 300px;
  background-color: rgb(255, 255, 255);
  border-radius: 15px;
  border:rgb(224, 224, 224) solid 5px;
}


.container4x4account{
  display:grid;
  width: 100%;
  height:100vh;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 0.2fr 1.5fr 1.2fr 0.8fr;
  grid-template-areas: 
  "sidebar nav nav nav" 
  "sidebar main main main" 
  "sidebar content1 content2 content3" 
  "sidebar footer footer footer";
  grid-gap: 0.2rem;
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  text-transform: uppercase;
  font-size:12px;
  color:#004d40;
  text-align:center;

}
nav{
  background-color: aqua;
  grid-area: nav;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}
main{
  background-color: rgb(255, 255, 255);
  grid-area: main;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}
#sidebar{
  background-color: azure;
  grid-area: sidebar;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}
#content1{
  background-color: #80a4c2;
  grid-area: content1;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}
#content2{
  background-color: beige;
  grid-area: content2;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}
#content3{
  background-color: antiquewhite;
  grid-area: content3;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}
footer{
  background-color: rgb(216, 201, 183);
  grid-area: footer;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
}

/*--------------------------------------FULLMOV---------------------------------------------------*/

.grid-containerfullmov{
  display: grid;
  grid-template: 40px / 35% 10% 8% 35% 8%;
  grid-gap: 5px;
  background-color: #9fafbd;
  text-align: left;
  font-size: 10px;
  padding: 2px;
  width: 100%;
  min-width: 750px;
}

.tube-button3{
  padding: 0px;
  outline: none;
  border: none;
  background-color: rgb(245, 245, 245);
  color: rgb(70, 67, 67);
  font-size: 14px;
  border-radius: 5px;
  width:100%;
  height:100%;
  transition: 0.5s;
  /* align-content: left; */
  text-align: left;
  /* margin: 0px 10px 0px 10px; */
}

/*-----------------------------------------------STATISTICHE--------------------------------------------*/
.grid-container50-50{
  display: grid;
  grid-template: 60px / 49% 49%;
  grid-gap: 5px;
  background-color: #ffffff;
  text-align: left;
  font-size: 10px;
  padding: 2px;
  width: 100%;
  min-width: 750px;
}
.tube-button4{
  padding: 10px;
  outline: none;
  border: none;
  background-color: rgb(233, 100, 100);
  color: rgb(38, 31, 31);
  /* font-size: 17px; */
  border-radius: 10px;
  width: 40%;
  transition: 0.5s;
  /* margin: 15px; */
}

input.tube-control2{
  padding: 0px;
  outline: none;
  border: none;
  background-color: rgb(233,233,233);
  color: rgb(153,153,153);
  font-size: 30px;
  border-radius: 10px;
  width: 49%;
  transition: 0.5s;
  /*margin: 15px;*/
}
.bottom-flex{
  display: flex;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  justify-content: space-between;
  /*min-width: 750px;*/
  /*margin: 0em 20em;*/
}

/*---------------------------------------------------COMMON CLASSES----------------------------------*/
/*----------------------------------------TOP ARTICOLI-----------------------------------------------------*/
.grid-container50-50graph{
  display: grid;
  grid-template-rows: 500px;
  grid-template-columns:  49% 49%;
  grid-template-areas: "graph1 graph2";
  grid-gap: 10px;
  /* background-color: #9fafbd; */
  text-align: left;
  font-size: 10px;
  padding: 5px;
  width: 100%;
  min-width: 750px;
  justify-content: center;
}
#box-graph1{
  display: grid;
  grid-area: graph1;
  grid-template-rows:auto;
  gap: 10px;
  /*grid-template-rows: 24% 27% 15% 15% 17%;*/
  background-color: rgb(255, 255, 255);
  min-height: 500px;
}

#box-graph2{
  display: grid;
  grid-area: graph2;
  /* grid-template-rows: 47% 16% 8% 28% 10%; */
  grid-template-rows:auto;
  gap: 10px;
  background-color: rgb(255, 255, 255);
  min-height: 500px;
}
#contentgraph1{
  background-color: #d6f8f4;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#contentgraph2{
  background-color: #d6f8f4;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}

/*-----------------------------------------------FINANZIARIO------------------------------------------*/

.grid-container50-50fin{
  display: grid;
  grid-template: 1000px / 49% 49%;
  grid-template-areas: "box3 box4";
  grid-gap: 10px;
  background-color: #9fafbd;
  text-align: left;
  font-size: 10px;
  padding: 5px;
  width: 100%;
  min-width: 750px;
  justify-content: center;
}

#box-grid3{
  display: grid;
  grid-area: box3;
  grid-template-rows:auto;
  gap: 20px;
  /*grid-template-rows: 24% 27% 15% 15% 17%;*/
  background-color: rgb(255, 255, 255);
  min-height: 500px;
}

#box-grid4{
  display: grid;
  grid-area: box4;
  /* grid-template-rows: 47% 16% 8% 28% 10%; */
  grid-template-rows:auto;
  gap: 20px;
  background-color: rgb(255, 255, 255);
  min-height: 500px;
}

#content4{
  background-color: #ffe4d9;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
  /* display:grid; */
  border-collapse: collapse;
}
#content5{
  background-color: #d6f8f4;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content6{
  background-color: #d6f8f4;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content7{
  background-color: #ffe4d9;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content8{
  background-color: #d6f8f4;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content9{
  background-color: #d6f8f4;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content10{
  background-color: #ffe4d9;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content11{
  background-color: #ffe4d9;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#content12{
  background-color: #ffe4d9;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 98%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}
#rowhead{
  padding: 0px;
  background-color: rgb(225, 235, 230);
  color: rgb(38, 31, 31);
  font-size: 10px;
  border-radius: 5px;
  border: #bbbbbb solid 2px;
  width:99%;
  transition: 0.5s;
  justify-content: center;
  /* margin: 0px 10px 0px 10px; */ 
  text-align: justify;
}
#rowstat{
  /* background-color: #caffd1;
  border-radius: 10px;
  border: #bbbbbb solid 2px; */
  padding-top: 0px;
  width: 99%;
  display: flex;
  background-color: #ffffff00;
  border-radius: 0px;
  border: #ffffff solid 0px;
  
}


#rowstatotal{
  background-color: #caffd1;
  border-radius: 10px;
  padding-top: 0px;
  width: 99%;
  border: #bbbbbb solid 2px;
  display: flex;
  
}
/*------------------------------------FILIALI--------------------------------------*/
.grid-container100{
  display: grid;
  grid-template-columns : 100%;
  grid-template-rows: 50vh; /*--50% del viewport*/
  grid-template-areas: "boxcontent1";
  grid-gap: 10px;
  /* background-color: #9fafbd; */
  text-align: left;
  font-size: 10px;
  padding: 5px;
  width: 100%;
  height: auto;
  min-width: 750px;
  justify-content: center;
}
#box-grid-filiale{
  display: grid;
  grid-area: boxcontent1;
  grid-template-rows:auto; /*--Dimensione in altezza della singola riga*/
  gap: 20px;
  /*grid-template-rows: 24% 27% 15% 15% 17%;*/
  background-color: rgb(255, 255, 255);
  min-height: 20px;
}
#box-content1{
  background-color: #ffe4d9;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 99%;
  height: 66%;
  border: #bbbbbb solid 3px;
  /* display:grid; */
  border-collapse: collapse;
}

/*---------------------------------------------ARTICOLI E REPARTI-------------------------------------------------------*/
/*---------------SCROLL MENU---------------*/
.row100{
  width: auto;
  grid-gap: 5px;
}
.scrollmenu {
  display: flex;
  background-color: transparent;
  /*width: 70%;*/
  /*overflow: auto;*/
  overflow-x: scroll;
  white-space: nowrap;
  /* padding: 20px 0px 31px 0px; */
  margin: 5px;
  gap:10px;


}
.scrollmenu .boxfit {
  display: inline-block;
  color: rgb(0, 0, 0);
  text-align: center;
  padding: 5px;
  text-decoration: none;
}

.scrollmenu .boxfit:hover {
  background-color: #ffffff;
}
.container30-70{
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 30% 69%;
  grid-template-areas: "boxrep1 boxart1";
  grid-gap: 10px;
  background-color: #ffffff;
  text-align: left;
  font-size: 10px;
  padding: 5px;
  width: 100%;
  min-width: 750px;
  justify-content: center;
}
#boxrep{
  display: grid;
  grid-area: boxrep1;
  grid-template-rows:auto;
  gap: 20px;
  background-color: rgb(255, 255, 255);
  min-height: 30px;
}

#boxart{
  display: grid;
  grid-area: boxart1;
  grid-template-rows:auto;
  background-color: rgb(255, 255, 255);
  min-height: 50px;
}

.boxfit{
  /* width:fit-content; */
  background-color: rgb(255, 255, 255);
  margin: 0px 5px 0px 0px;
  border-radius: 5px; 
}

#contentmodel{
  background-color: #ffffff;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  display: grid;
  /*max-width: fit-content;*/
  width: 99%;
  grid-gap: 10px;
  border: #bbbbbb solid 3px;
} 

#rowscroll{
  /* background-color: #caffd1;
  border-radius: 10px;
  border: #bbbbbb solid 2px; */
  padding-top: 0px;
  width: 99%;
  display: flex;
  background-color: #ffffff00;
  border-radius: 0px;
  border: #ffffff solid 0px;
}
/***********FINE SCROLLMENU***********/

.container30-70-grid-rep{
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 30% 69%;
  grid-template-areas: "boxrep boxart";
  grid-gap: 10px;
  background-color: #ffffff;
  text-align: left;
  font-size: 10px;
  padding: 5px;
  width: 100%;
  min-width: 750px;
  justify-content: center;
}

#box-grid-rep{
  display: grid;
  grid-area: boxrep;
  grid-template-rows:auto;
  gap: 20px;
  /*grid-template-rows: 24% 27% 15% 15% 17%;*/
  background-color: rgb(255, 255, 255);
  min-height: 30px;
}

#box-grid-art{
  display: grid;
  grid-area: boxart;
  /* grid-template-rows: 47% 16% 8% 28% 10%; */
  grid-template-rows:auto;
  gap: 20px;
  background-color: rgb(255, 255, 255);
  min-height: 50px;
}

#content1rep{
  background-color: #ffffff;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 99%;
  /*min-width: 1024px;*/
  /* height: 30%; */ 
  border: #bbbbbb solid 3px;
}

#content2rep{
  background-color: #ffffff;
  border-radius: 10px;
  padding-top:var(--main-padding);
  margin: 1px;
  width: 99%;
  /* height: 95%; */
  border: #bbbbbb solid 3px;
}


#rowheadreparti{
  padding: 0px;
  background-color: rgb(225, 235, 230);
  color: rgb(38, 31, 31);
  font-size: 10px;
  border-radius: 5px;
  border: #bbbbbb solid 2px;
  width:100%;
  transition: 0.5s;
  justify-content: center;
  /* margin: 0px 10px 0px 10px; */ 
  text-align: justify;
}
#rowreparti{
  /* background-color: #caffd1;
  border-radius: 10px;
  border: #bbbbbb solid 2px; */
  padding-top: 0px;
  width: 99%;
  display: flex;
  background-color: #ffffff00;
  border-radius: 0px;
  border: #ffffff solid 0px;
}

.grid-containerrep{
  display: grid;
  grid-template: 40px / 10% 10% 10%;
  grid-gap: 5px;
  background-color: #9fafbd;
  text-align: left;
  font-size: 10px;
  padding: 2px;
  width: 100%;
  /* min-width: 750px; */
}


/*------------------------------------------------------------------------*/


a {
  font-size: 20px;
  color: #fff;
  text-transform: capitalize;
  font-weight: 600;
  letter-spacing: 1px;
}

.div {
  background-color: rgba(255, 255, 255, 0.8);
  text-align: center;
  padding: 10px 0;
  font-size: 40px;
}
.container-4col{
  grid-template-columns: 1fr 1fr 1fr 1fr;
}
.flex{
  display: flex;
  gap: 4rem;
  margin: 0;
  padding: 0;
  display:flex;
  justify-content: center;
  align-items: center;
  height:100%;
}
.navigation-list{
  list-style: none;
  margin: 0;
  padding: 0;
  display:flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height:100%;
  gap: 3rem;
}
.navigation-item{
  margin: 0px 10px;
}
.navigation-item a{
  text-decoration: none;
  color:#1c6ea5;
  
}
.navigation-item a:hover,
.navigation-item a:active{
  color:red;
}

.flex-container2{
  display:flex;
  flex-direction:row;
  justify-content: space-between;
}
.grid-container1{
  display:grid;
  grid-template: 40% 20% 20% 20% ;
}
.grid-container2{
  display: grid;
  grid-template-rows: 100px 100px;
  background-color: rgb(147, 245, 245);
}
.grid-container{
  display: grid;
  grid-template: 30px / 10% 10% 10% 20% 10%;
  grid-gap: 5px;
  background-color: #80a4c2;
  padding: 2px;
}

.grid-container > div {
  background-color: rgba(223, 250, 223, 0.8);
  text-align: left;
  padding: 1px 1px 1px 1px;
  font-size: 10px;
}

a {
  color: #2500bb;
}
.ciao{
  color: rgb(161, 250, 161);
}
.layer {
  padding: 2em 0;
}

#idacaso{
  color:blue;
}
.bottom-grid,.bottom-grid1{
  display: flex;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  justify-content: space-between;
  margin: 0em 10em;
}


ul.links-unordered-list li.active a {
  background: rgba(255, 255, 255, 0.05);
  padding: 5px 20px;
  color: #fff;
}

.layer {
  padding: 2em 0;
}

.DIV {
  height:100px;
  display: grid;
  gap: 10px;
  background-color: #2196F3;
  padding: 10px;
  grid-auto-columns: 100%;
}

.box100-60flex{
  margin: 0px;
  border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px;
  padding: 5px;
  width: 100%;
  min-width: 750px;
  height: 60px;
  background-color: rgb(160, 160, 160);
  text-align: center;
  /*align-content: stretch;*/
  display: flex ;
  grid-template-columns: 1fr 1fr;
}
.col12-12flex{
  margin: 0px;
  /* border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px; */
  padding: 5px;
  width: 100%;
  min-width: 750px;
  height: 60px;
  background-color: rgb(246, 255, 211);
  /*text-align: center;*/
  /*align-content: stretch;*/
  display: flex ;
  grid-template-columns: 1fr;
}
.col12-6-6grid{
  margin: 0px;
  grid-template-columns: 6fr 6fr;
  /* border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px; */
  padding: 10px;
  width: 100%;
  min-width: 750px;
  height: 60px;
  background-color: rgb(255, 255, 255);
  text-align: center;
  /* align-content:center; */
  display: grid ;
}
.col12-10-1-1flex{
  margin: 0px;
  /* border: solid 2px  rgb(183, 183, 183);
  border-radius: 5px; */
  padding: 5px;
  width: 100%;
  min-width: 750px;
  height: 40px;
  /*background-color: rgb(255, 255, 255);*/
  /*text-align: center;*/
  /*align-content: stretch;*/
  display: grid ;
  grid-template-columns: 10fr 1fr 1fr;
}
.flex-container1{
  display:flex;
  min-width: 750px;
  flex-direction:row;
  justify-content: space-between;
}

#box2{
  background-color: azure;
  grid-area: box2;
  border-radius:var(--main-radius);
  padding-top:var(--main-padding);
  display:flex;
  width: 100%;
}
.container1x5account{
  display:grid;
  width: 100%;
  height:30px;
  grid-template-columns: 30px / 30% 10% 10% 40% 10%;
  /* grid-template-rows: 30px;
  grid-template-areas: "box2 box2 box2 box2 box2"; */
  grid-gap: 0.2rem;
  font-family:"Inter", sans-serif ;
  font-weight: 700;
  text-transform: uppercase;
  font-size:12px;
  color:#004d40;
  /* text-align:center; */
}


/* --------------------------Links inside the dropdown ------------------------------------------*/
 /* Dropdown Button */
 .dropbtn {
  background-color: rgb(233, 100, 100);
  color: white;
  padding: 10px;
  font-size: 20px;
  border: none;
  border-radius: 5px;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  width: 300px;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.4);
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #ddd;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {display: block;}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {background-color: #4ef054;} 

/*----------------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------MOBILE CSS ---------------------*/
/*----------------------------------------------------------------------------------------------*/

@media only screen and (max-width:1024px){
  .graph500{
    width: 700px; 
    height: 700px; 
    margin: 0 auto; 
    transition: 0.5s; 
  }
  .col12-2-8-2grid{
    height: 75px;
  }
  .grid-container2col{
    /* grid-template-rows: 1000px; */
    grid-template-columns: 100% ;
    grid-template-areas: "boxA" "boxB";
  }
  .grid-container3col{
    /* grid-template-rows: 1000px; */
    grid-template-columns: 100% ;
    grid-template-areas: "boxA" "boxB" "BoxC";
  }
  
  .grid-container50-50fin{
    background-color: #ffffff;
    grid-template-columns: 1fr;
    grid-template-rows: 1500px;
    grid-template-areas: 
    "box3" 
    "box4"
    
  }
  #box-grid3{
    grid-template-rows:auto;
    min-height: 1500px;
  }
  #box-grid4{
    grid-template-rows:auto;
    min-height: 1500px;
  }
 
  #rowhead{
    /* background-color: #ffffff; */
    border-radius: 0px;
    border: #ffffff solid 0px;
  }
  #rowstat{
    background-color: #ffffff00;
    border-radius: 0px;
    border: #ffffff solid 0px;
  }
  .grid-container50-50graph{
    display:block;
    grid-template-rows: 700px;
    grid-template-areas: 
    "graph1" 
    "graph2"
  
  }
  .container30-70-grid-rep{
    display: grid;
    grid-template-columns: 99%;
    grid-template-areas: 
    "boxrep" 
    "boxart";
  }
  .grid-container1x4model1{
    display:grid;
    width: 100%;
    min-width: 750px;
    /* height:150px; */
    grid-template-columns: 1fr 1fr;
    /* grid-template-rows: 0.2fr; */
    grid-template-areas: 
    "box2 box3"
    "box4 box5";
    /* grid-gap: 0.2rem; */
    grid-gap:1px;
    /*padding:5px;*/
    font-family:"Inter", sans-serif ;
    font-weight: 700;
    text-transform: uppercase;
    font-size:12px;
    color:#004d40;
    text-align:center;
  }
  .container4x4account{
    grid-template-columns: 1fr;
    grid-template-rows: 2.2fr 0.4fr 2.2fr 1.2fr 1.2fr 1.2fr 1fr;
    grid-template-areas: 
    "sidebar"
    "nav"
    "main"
    "content1"
    "content2"
    "content3"
    "footer"
  }
  .box100-50solid{
    height: 100px;
    font-size: 2em;
    text-align: center;
  }
  .box100-50flex{
    height: 100px;
    display: grid ;
    grid-template-columns: 2fr 1fr;
  }
  .box50-50{
    height: 50px;
    font-size: 2em;
  }
  .fontlarge{
    font-size: 2em;
  }
  .col12-10-1-1flex{
   
    height: 100px;
    display: grid ;
    grid-template-columns: 10fr 1fr 1fr;
  }
  .box100perc{
    height: 100px;
  }
  .box100pc-100px{
    width: 100%;
    height: 200px;
    /*display: flexbox;*/
    min-width: 300px;
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
    border:rgb(224, 224, 224) solid 5px;
  }
  /* #img{
    width: 80%;
    max-width: 435px;
    max-height:100% ;
  } */
  /* img[data-src-1024px] {
    content: attr(data-src-1024px, url);
  } */
  input.tube-control{
    font-size: 40px;
    width: 70%;
    min-width: 400px;
    height: 100px;
  }
  input.tube-controlreg{
    font-size: 40px;
    width: 70%;
    min-width: 100px;
    height: 100px;
  }
  .tube-button{
    font-size: 40px;
    width: 60%;
    min-width: 350px;
    height: 100px;
  }
  .label{
    font-size: 40px;
    width: 20%;
    transition: 0.5s;
    margin: 30px;
    height: 60px;
  }
  input.tube-controlred{
    font-size: 40px;
    border-radius: 10px;
    width: 20%;
    transition: 0.5s;
    margin: 15px;
    height: 100px;
  }
  input.tube-controlgreen{
    font-size: 40px;
    border-radius: 10px;
    width: 20%;
    transition: 0.5s;
    margin: 15px;
    height: 100px;
  }
 
  .fs20{
    font-size: 40px;
  }
  .fs20b{
    font-size: 30px;
  }
  .fs20c{
    font-size: 50px;
  }
  .fs20d{
    font-size: 35px;
  }
  .fs14{
    font-size: 30px;
  }
  .fs14a{
    font-size: 8px;
  }
  .fs14b{
    font-size: 14px;
  }
  .fs14c{
    font-size: 40px;
  }

  .fs30{
    font-size: 60px;
  }
  .h20{
    height:40px;
  }
  .h20c{
    height:100px;
  }
  .h30{
    height:60px;
  }
  .h50{
    height:100px;
  }
  .h60{
    height:120px;
  }
  .boxrounded{
    height:100px;
  }
  .box30to10{
    width: 10%
  }
}


